package main

/*
	this parses the command line arguements
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
)

var argv args

type args struct {
	Port int `arg:"--port"            default:"2520"  help:"port to run on"`
}

func (args) Version() string {
	return "virtigod " + Version
}

func init() {
	arg.MustParse(&argv)
}

func (a args) Description() string {
	return `
         this daemon talks to virtigo talks to libvirt and/or qemu

This sends data back to virtigo. It helps read out the libvirtxml
and convert it to protobuf.
The name is odd, it's virtigo-D not virti-god.

You can query the status directly:

	# the list of running vms:
	curl --silent http://localhost:2520/vms

	# information about libvirt domain for vm 'coriolis':
	curl --silent http://localhost:2520/dumpdomain?domain=coriolis
`
}
